/* global DOMParser, XMLSerializer */

export const domElement = str => {
  const parser = new DOMParser()
  const doc = parser.parseFromString(str.trim(), 'text/html')
  return doc.body.firstChild
}

export function querySelectorFromString (htmlString, cssSelector) {
  if (!cssSelector) {
    return htmlString
  }
  const serializer = new XMLSerializer()
  const parser = new DOMParser()
  const doc = parser.parseFromString(htmlString, 'text/html')
  const snippet = doc.querySelector(cssSelector)
  return serializer.serializeToString(snippet)
}
