export const debounce = function (fn, d) {
  let timer
  return function () {
    const context = this; const args = arguments
    clearTimeout(timer)
    timer = setTimeout(() => {
      fn.apply(context, args)
    }, d)
  }
}
